#cc_msg{
	width: 100%;
	height: 100%;
	position: fixed;
	display: none;
	top: 0; left: 0;
	background: rgba(0,0,0,0.4);
	z-index: 10000;
}

#cc_msg div.dialog{
	width: 400px;
	padding: 12px 12px 12px 12px;
	margin: 0 auto 0 auto;
	position: relative;
	top: -500px;
	border-radius: 0 0 5px 5px;
	text-align: left;
	color: #444444;
	background: white;
}

#cc_msg.not_modal{
	height: auto;
	background: none;
}

#cc_msg.not_modal div.dialog{
	box-shadow: 1px 1px 4px 1px rgba(0,0,0,0.2);
}

#cc_msg div.controls{
	text-align: right;
}

/*
#cc_msg div.controls button{
	height: 20px;
	line-height: 16px;
	padding: 1px 5px 1px 5px;
	border: 1px solid #666666;
	border-radius: 4px;
	margin-right: 5px;
	font-size: 12px;
	font-weight: bold;
	box-shadow: 1px 1px 0 0 rgba(0,0,0,0.2);
	color: #555555;
	background: #f8f8f8;
	-webkit-appearance: none;
	appearance: none;
}

#cc_msg div.controls button:active{
	position: relative;
	top: 1px;
	left: 1px;
	box-shadow: none;
	background: #e0e0e0;
}
*/

#cc_msg div.body{
	min-height: 40px;
	max-height: 400px;
	margin-bottom: 8px;
	overflow: auto;
	font-size: 16px;
}

#cc_msg div.body div.msg{
	min-height: 24px;
	padding: 5px 5px 5px 40px;
	position: relative;
}

#cc_msg div.body div.msg:nth-child(even){
	background: #f2f2f2;
}

#cc_msg div.msg i{
	width: 25px;
	height: 25px;
	display: block;
	position: absolute;
	top: 4px;
	left: 4px;
	background-size: 25px;
	background-repeat: no-repeat;
	background-image: url('data:image/png;base64,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');
}

#cc_msg div.msg.okay  i{ background-position: left 0; }
#cc_msg div.msg.note  i{ background-position: left -25px; }
#cc_msg div.msg.warn  i{ background-position: left -50px; }
#cc_msg div.msg.error i{ background-position: left -75px; }
#cc_msg div.msg.error  { color: #990000; }
